<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="br.com.biblioteca.util.Paginas"%>
<%@page import="br.com.biblioteca.util.Constantes"%>
<%@page import="br.com.biblioteca.model.Disciplina"%>
<%@page import="java.util.List"%>
<!DOCTYPE html>
<html lang="pt-br">

<head>
<jsp:include page="components/header.jsp"></jsp:include>
</head>
<body class="hold-transition skin-blue-light layout-top-nav">
	<div class="wrapper">
		<header class="main-header">
			<jsp:include page="components/navbar.jsp"></jsp:include>
		</header>
		<!-- Full Width Column -->
		<div class="content-wrapper">
			<div class="container">
				<section class="content-header">
					<h1>
						Disciplinas
					</h1>
				</section>
				<section class="content">
					<div class="row">
						<div class="col-xs-12">
							<div class="box box-info">
								<div class="box-body">
									<div class="box-body">
										<table id="listaDisciplinas"
											class="table table-hover tabela-disciplina">

											<thead>
												<tr>
													<th>Codcred</th>
													<th>Nome</th>
													<th>Data de Alteração</th>
													<th>Status</th>
													<th class="no-sort"></th>
													<th class="no-sort"></th>
												</tr>
											</thead>

											<tbody>
											<%
												List<Disciplina> listaDisciplinas = (List<Disciplina>) request.getAttribute(Constantes.LISTA_DISCIPLINAS);
												for (Disciplina disciplina : listaDisciplinas) {
											%>
												<tr valign="middle" >
													<td><%=disciplina.getCodigo()%></td>
													<td><%=disciplina.getNome()%></td>
													<td><%=disciplina.getData_alteracao()%></td>
													<td class="bg-orange-active color-palette">
													<%=disciplina.getStatus()%>
													</td>
													<td class="vizualizarHomologada" data-id="<%=disciplina.getIdDisciplina()%>" valign="middle">
													<form id="ver-bibliografia-homologada" action="main?page=<%=Paginas.BIBLIOGRAFIA_DISCIPLINA.getPageParameter()%>" method="post">
								 						 <input type="hidden" id="input-disciplina" name="<%=Constantes.ID_DISCIPLINA%>" value="<%=disciplina.getIdDisciplina()%>"> 	
														 <button type="submit" class="btn btn-primary btn-flat" title="Ver bibliografia homologada.">
														 <span class="pull-right glyphicon glyphicon-search"> </span>
														 </button>
													</form>
													</td>
													<td class="vizualizarProposta" data-id="<%=disciplina.getIdDisciplina()%>" valign="middle">								
													<form id="ver-proposta-bibliografia" action="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>" method="post">
														<input type="hidden" id="input-disciplinaII" name="<%=Constantes.ID_DISCIPLINA%>" value="<%=disciplina.getIdDisciplina()%>"> 
														<button type="submit" class="btn btn-primary btn-flat"  title="Ver minha proposta de Bibliografia">
														<span class="pull-right glyphicon glyphicon-education"></span>
														</button>
													</form>
													</td>
													</tr>
											<%
												}
											%>
											</tbody>
                                      </table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</section>
			</div>
		</div>
		<jsp:include page="components/footer.jsp"></jsp:include>
			

	</div>
	<!-- ./wrapper -->
	<jsp:include page="components/javascriptFiles.jsp"></jsp:include>
	<jsp:include page="components/modals.jsp"></jsp:include>
	<script src="pages/js/disciplinas.js"></script>
</body>
</html>

