		
/**
 * 
 */
(function() {

	var dataTableConfig = {
		paging : false,
		lengthChange : false,
		searching : true,
		ordering : true,
		info : true,
		autoWidth : false,
		language : {
			lengthMenu : "Mostrando _MENU_ registros por página",
			zeroRecords : "Adicione um livro a sua lista de favoritos!",
			info : "Mostrando _PAGE_ de _PAGES_ páginas",
			infoEmpty : "Nenhum registro encontrado!",
			infoFiltered : "(Filtrado _MAX_ do total deregistros)",
			search : "Busca:",
			paginate : {
				first : "Primeiro",
				last : "Último",
				next : "Próximo",
				previous : "Anterior"
			}
		}
	}

	var idListaDisciplinas = "#listaDisciplinas";
	var idMenuDisciplinas = "#menu-disciplinas";
	var idFormBibliografia = "#form-bibliografia";
	var idInputDisciplina = "#input-disciplina";
	
	$(idMenuDisciplinas).addClass("active");
	$(idListaDisciplinas).DataTable(dataTableConfig);

	$(".click-row").click(function() {
		var codigoDisciplina = $(this).data('id');
		$(idInputDisciplina).val(codigoDisciplina);
		$(idFormBibliografia).submit();
	});
	
	
	
	
})()