<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="br.com.biblioteca.util.Constantes"%>
<!DOCTYPE html>
<html>

<head>
<jsp:include page="components/header.jsp"></jsp:include>
</head>

<body>

	<div class="container" style="margin-top: 50px; width: 700px;">
	<br>
    		<div class="text-center">
    			<img class="logo" src="img/logotipo.png" alt="Biblioteca Central PUCRS">
    		</div>
    		<br>

		<div class="panel panel-primary panel-login">

			<div class="panel-heading text-center">Sistema de Cadastro de Bibliografia das Disciplinas</div>
			<div class="panel-body">
				<h1 class="">
					<center>Bem-<span class="ages">V</span>indo!</center>
				</h1>
				<form method="post" action="main?page=listarDisciplina&acao=login">
					<div class="form-group">
						<label class="form-label ages">Usuário:</label>
						<%
							String email = request.getParameter(Constantes.LOGIN_FORM_EMAIL);
							if (email == null) {
								email = "";
							}
						%>
						<input class="form-control" id="email" name="email" type="email" maxlength="120" required value="<%=email%>">
					</div>
					<div class="form-group">
						<label class="form-label ages">Senha:</label> <input
							class="form-control" id="senha" name="senha" type="password" maxlength="15" required>
					</div>
					<div class="text-center">
						<input class="btn btn-primary login pull-center" type="submit" value="Entrar">
					</div>
				</form>

			</div>

		</div>
	<jsp:include page="components/footer.jsp"></jsp:include>
	</div>
	<jsp:include page="components/javascriptFiles.jsp"></jsp:include>
	<jsp:include page="components/modals.jsp"></jsp:include>
</body>
</html>
