package br.com.biblioteca.bo;

import java.sql.SQLException;

import org.apache.log4j.Logger;

import br.com.biblioteca.dao.CoordenadorDAO;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Professor;

public class CoordenadorBO {

	CoordenadorDAO coordenadorDAO = new CoordenadorDAO();

	private static final Logger logger = Logger.getLogger(CoordenadorBO.class);

	public CoordenadorBO() {
	}

	public CoordenadorBO(CoordenadorDAO coordenadorDAO) {
		this.coordenadorDAO = coordenadorDAO;
	}

	public Professor coordenadorById(int id) throws PersistenciaException, SQLException {
		return coordenadorDAO.buscarProfessorById(id);
	}
}