package br.com.biblioteca.bo;

import java.sql.SQLException;

import br.com.biblioteca.dao.ProfessorDAO;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Professor;

public class ProfessorBO {

	private ProfessorDAO professorDAO;
	
	public ProfessorBO(ProfessorDAO professorDAO) {
		this.professorDAO = professorDAO;
	}
	
	public Professor buscarProfessorById(int id) throws PersistenciaException, SQLException {
		return professorDAO.buscarProfessorById(id);
	}
}
