package br.com.biblioteca.util;

/**
 * Constantes do sistema
 * 
 * @authores uriel battanoli e gabriel silveira
 *
 */
public class Constantes {

	// CONSTANTES DO AMBIENTE
	public static final String AMBIENTE_PROPERTIES = "ambiente";
	public static final String CONEXAO_BD_DRIVE = "conexao.driver.mysql";
	public static final String CONEXAO_BD_URL = "conexao.url";
	public static final String CONEXAO_BD_USER = "conexao.user";
	public static final String CONEXAO_BD_PASSWORD = "conexao.password";
	public static final String VERSAO_SISTEMA = "version";

	// CONSTANTES DA APLICACAO
	public static final String USUARIO_SESSAO = "usuarioSessao";
	public static final String PAGE_CONTEXT = "pageContext";
	public static final String COMMAND_PARAM = "page";
	public static final String ACTION_PARAM = "acao";

	// CONSTANTES DO JSP
	public static final String TITTLE = "tittle";
	public static final String ERROR_MSG = "msgErro";
	public static final String SUCCESS_MSG = "msgSucesso";
	public static final String LISTA_FAVORITOS = "lista_favoritos";
	public static final String LISTA_BIBLIOTECA = "lista_biblioteca";
	public static final String LISTA_BASICA = "lista_basica";
	public static final String LISTA_COMPLEMENTAR = "lista_complementar";
	public static final String LISTA_AUTORES = "lista_autores";

	public static final String DISCIPLINA = "disciplina";
	public static final String LISTA_FAVORITOS_PROPOSTA = "lista_favoritos_proposta";
	public static final String LISTA_BASICA_PROPOSTA = "lista_basica_proposta";
	public static final String LISTA_COMPLEMENTAR_PROPOSTA = "lista_complementar_proposta";
	public static final String PROPOSTA = "proposta";
	public static final String ID_STATUS = "id_status";
	public static final String NOME_STATUS = "nome_status";

	// CONSTANTES DE ACOES
	public static final String ACTION_LOGIN = "login";
	public static final String ACTION_LOGOUT = "logout";
	public static final String ACTION_EXCLUIR_LIVRO = "excluir_livro";
	public static final String ACTION_LISTAR_FAVORITOS = "listar_favoritos";
	public static final String ACTION_LISTAR_BIBLIOTECA = "listar_biblioteca";
	public static final String ACTION_PESQUISAR_LIVROS = "pesquisar_livros";
	public static final String ACTION_ADICIONAR_LIVRO_FAVORITO = "adicionar_livro_favorito";
	public static final String ACTION_CADASTRAR_NOVO_LIVRO = "cadastrar_novo_livro";
	public static final String ACTION_EDITAR_LIVRO = "editar_livro";
	public static final String ACTION_LISTAR_AUTORES = "listar_autores";
	public static final String ACTION_MANDAR_EMAIL = "mandar_email";

	public static final String ACTION_PROPOSTA_INSERIR_BASICA = "insere_proposta_basica";
	public static final String ACTION_PROPOSTA_INSERIR_COMPLEMENTAR = "insere_proposta_complementar";
	public static final String ACTION_PROPOSTA_REMOVER = "remove_da_proposta";
	public static final String ACTION_PROPOSTA_SUBMETER_COORDENADOR = "submeter_proposta_coordenador";

	
	// PARAMETROS DE URL
	public static final String ID_LIVRO = "id_livro";
	public static final String TEXTO_LIVRO = "texto_livro";
	public static final String LISTA_DISCIPLINAS = "lista_disciplinas";
	public static final String ID_DISCIPLINA = "codigo_disciplina";
	public static final String STATUS = "status";
	public static final String ID_PROPOSTA = "id_proposta";
	// FORM NAMES
	public static final String LOGIN_FORM_EMAIL = "email";
	public static final String LOGIN_FORM_SENHA = "senha";
	
	
	public static final String ACTION_TELA_NOVO_LIVRO = "tela_livro";
	public static final Object ACTION_ALTERAR_NOVO_LIVRO = "alterar_novo_livro";
	public static final Object ACTION_CARREGAR_LIVRO = "carregar_livro";
	public static final String ACTION_CADASTRAR_NOVO_AUTOR = "cadastrar_autor";
	public static final String ID_COORDENADOR = "id_coordenador";
	public static final String MAIL_COORDENADOR = "mail_coordenador";
	public static final String NOME_COORDENADOR = "nome_coordenador";

}
