<%@page language="java" contentType="text/html; charset=charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@page import="br.com.biblioteca.util.Constantes"%>
<%@page import="br.com.biblioteca.util.Paginas"%>
<%@page import="br.com.biblioteca.model.Livro"%>
<%@page import="br.com.biblioteca.bo.LivroBO"%>
<%@page import="java.util.List"%>

<div class="modal fade" id="modalPropostaBibliografia" tabindex="-1"
	role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"
					aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
				<h3 class="modal-title" id="myModalLabel">Proposta bibliografia</h3>
			</div>
			<div class="modal-body">
				<div id="table" class="table-editable">
					<h4 class="box-title">Bibliografia Básica</h4>
					<span class="table-add glyphicon glyphicon-plus"></span>
					<table class="table">
						<tr>
							<th>Título</th>
							<th>Autor(es)</th>
							<th>Editora</th>
							<th>Edição</th>
							<th></th>
							<th></th>
						</tr>
						<tr>
							<td contenteditable="false"><input list="livros"
								name="browser"> <datalist id="livros">
									<%
										List<Livro> livrosFavoritos = (List<Livro>) request.getAttribute(Constantes.LISTA_FAVORITOS);
										for (Livro livro : livrosFavoritos) {
									%>
									<option value="<%=livro.getTitulo()%>"></option>
									<%
										}
									%>
								</datalist></td>
							<td contenteditable="false">Zé</td>
							<td contenteditable="false">edipucrs</td>
							<td contenteditable="false">2</td>

						</tr>
						<tr class="hide">
							<td contenteditable="false"><input list="livros"
								name="browser"> <datalist id="livros">
									<option value="Livro01"></option>
									<option value="Livro02"></option>
									<option value="Livro03"></option>
									<option value="Livro04"></option>
									<option value="Livro05"></option>
								</datalist></td>
							<td contenteditable="false">Zé</td>
							<td contenteditable="false">edipucrs</td>
							<td contenteditable="false">2</td>
							<td><span class="table-remove glyphicon glyphicon-remove"></span>
							</td>
						</tr>
					</table>
				</div>
				<div id="table-complementar" class="table-editable">
					<h4 class="box-title">Bibliografia Complementar</h4>
					<span class="table-add glyphicon glyphicon-plus"></span>
					<table class="table">
						<tr>
							<th>Título</th>
							<th>Autor(es)</th>
							<th>Editora</th>
							<th>Edição</th>
							<th></th>
							<th></th>
						</tr>


						<tr>
							<td contenteditable="false"><input list="livros"
								name="browser"> <datalist id="livros">
									<%
										for (Livro livro : livrosFavoritos) {
									%>
									<option value="<%=livro.getTitulo()%>"></option>
									<%
										}
									%>

								</datalist></td>
							<td contenteditable="false">Zé</td>
							<td contenteditable="false">edipucrs</td>
							<td contenteditable="false">2</td>
							<td><span class="table-remove glyphicon glyphicon-remove"></span>
							</td>
						</tr>
					</table>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">
					<span class="glyphicon glyphicon-floppy-disk"></span> Salvar
				</button>

				<button type="button" class="btn btn-primary" type="submit"
					id="btnSalvarLivro" name="btnSalvarLivro">
					<span class="glyphicon glyphicon-send"></span> Submeter
				</button>
			</div>
		</div>
	</div>
</div>


<jsp:include page="components/javascriptFiles.jsp"></jsp:include>
<jsp:include page="components/modals.jsp"></jsp:include>
<script src="pages/js/listaLivrosFavoritos.js" charset=UTF-8></script>
<script src="pages/js/editaBibliografiaProposta.js" charset=UTF-8></script>
<script type="text/javascript">

$( document ).ready(function(event) {	
	$('#modalPropostaBibliografia').on('show.bs.modal', function (event) {		
		
	});
	
</script>