/**
 * 
 */
(function() {

	var dataTableConfig = {
		paging : false,
		lengthChange : false,
		searching : true,
		ordering : true,
		info : true,
		autoWidth : false,
		language : {
			lengthMenu : "Mostrando _MENU_ registros por página",
			zeroRecords : "Adicione um livro a sua lista de favoritos!",
			info : "Mostrando _PAGE_ de _PAGES_ páginas",
			infoEmpty : "Nenhum registro encontrado!",
			infoFiltered : "(Filtrado _MAX_ do total deregistros)",
			search : "Busca:",
			paginate : {
				first : "Primeiro",
				last : "Último",
				next : "Próximo",
				previous : "Anterior"
			}
		}
	}

	var idListaDisciplinas = "#listaDisciplinas";
	var idMenuDisciplinas = "#menu-disciplinas";
	var idFormBibliografia = "#form-bibliografia";
	var idInputDisciplina = "#input-disciplina";
	var idFormVerHomologada = "#ver-bibliografia-homologada";
	$(idMenuDisciplinas).addClass("active");
	$(idListaDisciplinas).DataTable(dataTableConfig);

	
	$(".vizualizarHomologada").click(function(){
		var codigoDisciplina = $(this).data('id');
		$(idInputDisciplina).val(codigoDisciplina);
		$(idFormVerHomologada).submit();
	})
	
	var idFormVerProposta = "#ver-proposta-bibliografia";
	var idInputDisciplinaII = "#input-disciplinaII";
	
	$(".vizualizarProposta").click(function(){
		var codigoDisciplina = $(this).data('id');
		$(idInputDisciplinaII).val(codigoDisciplina);
		$(idFormVerProposta).submit();
	})
	
	
})()