/**
 * 
 */
(function () {
	
	var dataTableConfig = {
			language : {
				lengthMenu : "Mostrando _MENU_ registros por página",
				zeroRecords : "Adicione um livro a sua lista de favoritos!",
				info : "Mostrando _PAGE_ de _PAGES_ páginas",
				infoEmpty : "Nenhum registro encontrado!",
				infoFiltered : "(Filtrado _MAX_ do total de registros)",
				search : "Busca:",
				paginate : {
					first : "Primeiro",
					last : "Ultimo",
					next : "Próximo",
					previous : "Anterior"
				}
			}
	}
	
	var idItemMenu = "#menu-livros-favoritos";
	var idTabelaFavoritos = "#livros-favoritos";
	var idListaBiblioteca = "#livros-biblioteca";
	var idModalExclusao = "#modal-confirma-exclusao";
	var idModalMensagem = "#modal-mensagem-exclusao";
	var idFormExlucsao = "#form-exclusao";
	
	
	$(idItemMenu).addClass("active");
	$(idTabelaFavoritos).DataTable(dataTableConfig);
	
	dataTableConfig.dom = "<'datatable-button'>ltip";
	
	$(idListaBiblioteca).DataTable(dataTableConfig);
	
	$(idModalExclusao).on("show.bs.modal", function (event) {
		var item = $(event.relatedTarget);
		var idLivro = item.data('id');
		var tituloLivro = item.data('titulo');
		$(idModalMensagem).html('Você realmente deseja excluir <u>' + tituloLivro + "</u> da sua lista de favoritos?");
		$(idFormExlucsao).attr('action', 'main?page=listaFavoritos&acao=excluir_livro&id_livro=' + idLivro);
	});

	$("div.datatable-button").html('<div align="right"><button type="button" class="btn btn-primary btn-lg" data-toggle="modal"data-target="#addNovoLivro" > Novo Livro </button></div>');
	
})()


			
//			
