/**
 * 
 */
(function () {

	var idItemMenu = "#menu-livros-favoritos";
	var idTabelaFavoritos = "#livros-favoritos";
	var idListaBiblioteca = "#livros-biblioteca";
	var idModalExclusao = "#modal-confirma-exclusao";
	var idModalMensagem = "#modal-mensagem-exclusao";
	var idFormExlucsao = "#form-exclusao";
	var $TABLEB = $('#table-basica');
	var $TABLEC = $('#table-complementar');

	
	
	var dataTableConfig = {
			language : {
				lengthMenu : "Mostrando _MENU_ registros por página",
				zeroRecords : "Adicione um livro a sua lista de favoritos!",
				info : "Mostrando _PAGE_ de _PAGES_ páginas",
				infoEmpty : "Nenhum registro encontrado!",
				infoFiltered : "(Filtrado _MAX_ do total de registros)",
				search : "Busca:",
				paginate : {
					first : "Primeiro",
					last : "Ultimo",
					next : "Próximo",
					previous : "Anterior"
				}
			}
	}

	
	$(idItemMenu).addClass("active");
	$(idTabelaFavoritos).DataTable(dataTableConfig);
	dataTableConfig.dom = "<'datatable-button'>ltip";
	$(idListaBiblioteca).DataTable(dataTableConfig);
	$(idModalExclusao).on("show.bs.modal", function (event) {
		var item = $(event.relatedTarget);
		var idLivro = item.data('id');
		var tituloLivro = item.data('titulo');
		$(idModalMensagem).html('Você realmente deseja excluir <u>' + tituloLivro + "</u> da sua lista de favoritos?");
		$(idFormExlucsao).attr('action', 'main?page=listaFavoritos&acao=excluir_livro&id_livro=' + idLivro);
	});
	$("div.datatable-button").html('<div align="right"><button type="button" class="btn btn-primary btn-lg" data-toggle="modal"data-target="#addNovoLivro" > Novo Livro </button></div>');



	$('.table-basica-add').click(function () {
	  var $clone = $TABLEB.find('tr.hide').clone(true).removeClass('hide table-line');
	  $TABLEB.find('table').append($clone);
	  $("#nenhumNaBasica").remove();
	    
	});

	$('.table-basica-remove').click(function () {
	  $(this).parents('tr').detach();
	});



	$('.table-complementar-add').click(function () {
	  var $clone = $TABLEC.find('tr.hide').clone(true).removeClass('hide table-line');
	  $TABLEC.find('table').append($clone);
	  $("#nenhumNaComplementar").remove();
	  
	});

	$('.table-complementar-remove').click(function () {
	  $(this).parents('tr').detach();
	});

	
	$('#fav-for-basica').on('input', function(){
	    var options = $('#favoritosBasica')[0].options;
	    arr = "";
	    titulob = ""
	    for (var i=0;i<options.length;i++){
	       if (options[i].value == $(this).val()) 
	         {
	    	 titulob = $(options[i]).val();
	         arr = $(options[i]).data();
	         
	         break;
	         }
	    }
	    
	    $( "#titulob" ).html( titulob);
	    $( "#autoresb" ).html( arr["autores"] );
	    $( "#editorab" ).html( arr["editora"] );
		$( "#edicaob" ).html( arr["edicao"] );
		
	 
	});
	
	
	$('#fav-for-complementar').on('input', function(){
	    var optionsc = $('#favoritosComplementar')[0].options;
	    arrc = "";
	    tituloc = ""
	    for (var i=0;i<optionsc.length;i++){
	       if (optionsc[i].value == $(this).val()) 
	         {
	    	 tituloc = $(optionsc[i]).val();
	         arrc = $(optionsc[i]).data();
	         
	         break;
	         }
	    }
	    $( "#tituloc" ).html( tituloc);
	    $( "#autoresc" ).html( arrc["autores"] );
	    $( "#editorac" ).html( arrc["editora"] );
		$( "#edicaoc" ).html( arrc["edicao"] );
 
	});
})()
		
