-- SELECT * FROM tb_usuarios WHERE email = 'denise.castro@outlook.com' -> 2


SELECT tb_livro.titulo, tb_livro.edicao, tb_livro.isbn, tb_livro.editora, tb_livro.ano_publicacao, tb_livro.idioma, tb_livro.cidade_publicacao, tb_autores.nome
	FROM tb_usuarios INNER JOIN tb_livro_favorito ON tb_usuarios.id_usuario = tb_livro_favorito.id_professor
    INNER JOIN tb_livro ON tb_livro_favorito.id_livro = tb_livro.id_livro
    INNER JOIN tb_autores_livro ON tb_livro.id_livro = tb_autores_livro.id_livro
    INNER JOIN tb_autores ON tb_autores_livro.id_autor = tb_autores.id_autor
    WHERE tb_usuarios.id_usuario = 2
    order by tb_livro.id_livro, tb_autores.nome;

SELECT tb_professores.id_professor, tb_disciplinas.id_disciplina, tb_bibliografias.id_bibliografia, tb_livro.id_livro, tb_livro.titulo, tb_livro.edicao, tb_livro.isbn, tb_livro.editora, tb_livro.ano_publicacao, tb_livro.idioma, tb_livro.cidade_publicacao, tb_livro.novo_cadastro, tb_autores.id_autor, tb_autores.nome, tb_tipos_bibliografia.descricao FROM
	tb_professores
    INNER JOIN tb_disciplinas_professores ON tb_professores.id_professor = tb_disciplinas_professores.id_professor
    INNER JOIN tb_disciplinas ON tb_disciplinas_professores.id_disciplina = tb_disciplinas.id_disciplina
    INNER JOIN tb_bibliografias ON tb_disciplinas.id_disciplina = tb_bibliografias.id_disciplina
    INNER JOIN tb_livro ON tb_bibliografias.id_livro = tb_livro.id_livro
    LEFT JOIN tb_autores_livro ON tb_livro.id_livro = tb_autores_livro.id_livro
    LEFT JOIN tb_autores ON tb_autores_livro.id_autor = tb_autores.id_autor
    INNER JOIN tb_tipos_bibliografia ON tb_bibliografias.id_tipo_bibliografia = tb_tipos_bibliografia.id_tipo_bibliografia
	WHERE tb_professores.id_professor = 2
    AND tb_disciplinas.id_disciplina = 3; 
    
   
-- Consulta para retornar o e-mail de um coordenador dado o id da disciplina
select u.email
from  tb_usuarios u
inner join tb_cursos c on c.id_coordenador = u.id_usuario
inner join tb_cursos_disciplinas cd on cd.id_curso = c.id_curso
where cd.id_disciplina = 3;
    
