package br.com.biblioteca.model;

/**
 *  Esta classe representa uma bibliografia bsica de uma bibliografia.
 */
public class BibliografiaBasica extends Bibliografia{
	private int classificacao = 0;
	/**
	 *  Tendo em vista que o limite de livros pode mudar com o passar do tempo, indica-se que tal parmetro no fique "chumbado" no cdigo fonte.
	 */
	private int limitedeLivros = 3; //Quantidade de livros da disciplina bsica definido pelo MEC/Administrador do sistema.

	public int getLimitedeLivros() {
		return limitedeLivros;
	}

	public BibliografiaBasica() {
		super();
	}

	public boolean add(Livro livro) {
		if( !(super.getQuantidade() + 1 > this.getLimitedeLivros()) | super.addLivro(livro) ){
 			return true;
		}
		return false;
	}
	public boolean removeLivro(int idLivro){
		if(super.removeLivroId(idLivro)){
			return true;
		}
		return false;
	}


	public int getClassificacao() {
		return classificacao;
	}

	public void setClassificacao(int classificacao) {
		this.classificacao = classificacao;
	}

	@Override
	public String toString() {

		return "Bsica \n" +
				super.toString();
	}


	
}
