package br.com.biblioteca.model;

import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

public class Disciplina {
	
	private int idDisciplina;
	private String codigo;
	private String nome;
	private String status;
	private Coordenador coordenador;
	private BibliografiaHomologada bibliografiaAtual; 
	public Coordenador getCoordenador() {
		return coordenador;
	}

	public void setCoordenador(Coordenador coordenador) {
		this.coordenador = coordenador;
	}

	private Date data_alteracao;
	
	public Disciplina(String codigo, String nome, String status, Date data_alteracao, BibliografiaHomologada atual) {
		this.codigo = codigo;
		this.nome = nome;
		this.status = status;
		this.data_alteracao = data_alteracao;
		this.setBibliografiaAtual(atual);
		coordenador = new Coordenador();
		
	}

	public int getIdCoordenador() {
		return coordenador.getIdCoordenador();
	}

	public void setIdCoordenador(int idCoordenador) {
		coordenador.setIdCoordenador(idCoordenador);
		}

	public Disciplina() {
		super();
		coordenador = new Coordenador();
	}

	public void setBibliografiaAtual(BibliografiaHomologada atual){
		this.bibliografiaAtual = atual;
	}

	public BibliografiaHomologada getBibliografiaAtual() {
		return bibliografiaAtual;
	}

	public int getIdDisciplina() {
		return idDisciplina;
	}

	/**
	 *
	 * @return codcred da disciplina
 	 */
	public String getCodigo() {
		return codigo;
	}

	public String getNome() {
		return nome;
	}

	public void setIdDisciplina(int idDisciplina) {
		this.idDisciplina = idDisciplina;
	}

	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}
		
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}		

	public Date getData_alteracao() {
		return data_alteracao;
	}

	public void setData_alteracao(Date data_alteracao) {
		this.data_alteracao = data_alteracao;
	}

	@Override
	public String toString() {
		return  "Disciplina id:  " + this.idDisciplina +";\n CodCred = "+ this.codigo +";\n Nome = " + this.nome;
	}

}
