package br.com.biblioteca.util;

public class MensagensConstantes {
	
	
	// SYSTEM MSG
	public static final String SYSTEM_GENERIC_ERROR = "Ocorreu um erro inesperado no sistema. Tente novamente.";
	public static final String USUARIO_INVALIDO_SESSAO = "Usurio no logado";
	// END
	
	// REGRAS FUNCIONAIS
	public static final String MSG_ERR_USUARIO_SENHA_INVALIDOS = "Usurio/Senha invlidos!";
	//END
	
	
	public static final String MSG_ERR_CAMPO_OBRIGATORIO = "Campo obrigatrio!";
	
	public static final String MSG_ERR_CAMPO_NOME_OBRIGATORIO = "Campo Nome obrigatrio!";

	public static final String MSG_ERR_CAMPO_SEXO_OBRIGATORIO = "Campo Sexo obrigatrio!";
	
	public static final String MSG_ERR_CAMPO_CIDADE_OBRIGATORIO = "Campo Cidade obrigatrio!";
	
	public static final String MSG_ERR_CAMPO_ESTADO_OBRIGATORIO = "Campo Estado obrigatrio!";
	
	public static final String MSG_ERR_CAMPO_LOGRADOURO_OBRIGATORIO = "Campo Logradouro obrigatrio!";
	
	public static final String MSG_ERR_CAMPO_INVALIDO = "Campo est invido!";
	
	
	public static final String MSG_ERR_PESSOA_DADOS_INVALIDOS = "Dados da pessoa invlidos ou inconsistentes!";

	public static final String MSG_ERR_USUARIO_DADOS_INVALIDOS = "Dados do Usurio invlidos ou inconsistentes!";
	
	public static final String MSG_ERR_CAMPO_CPF_MAIOR_RECOMENDADO = "Campo CPF com mais de 11 caracteres!";
	
	public static final String MSG_ERR_CAMPO_CPF_MENOR_RECOMENDADO = "Campo CPF com menos de 11 caracteres!";

	public static final String MSG_ERR_CAMPO_DATA_MAIOR_RECOMENDADO = "Campo DATA com mais de 10 caracteres!";

	public static final String MSG_ERR_CAMPO_DATA_MENOR_RECOMENDADO = "Campo DATA com menos de 10 caracteres!";
	
	public static final String MSG_ERR_CAMPO_DATA_INVALIDO = "Ocorreu algum problema no envio da data";	
	
	public static final String MSG_ERR_SENHA_INVALIDA = "A senha do usuario est invlida: Deve ter no mnimo 3 e no mximo 8 caracteres, apenas nmeros e letras!";
	
	public static final String MSG_ERR_MATRICULA_INVALIDA = "Matrcula invlida!";
	
	public static final String MSG_ERR_EMAIL_INVALIDO = "E-mail com formato invlido.<br>no use acentuao e caracteres especiais!"
			+ "<br>Exemplo correto: ages_user@acad.pucrs.br";
	
	public static final String MSG_ERR_NOME_INVALIDO = "Nome com formato invlido.<br>Exemplo correto: Joo Cardoso";
	
	public static final String MSG_ERR_USUARIO_JA_EXISTENTE = "Usurio ou Matrcula j cadastrados!";
	
	public static final String MSG_ERR_REMOVE_USUARIO_EM_PROJETO = "Este Usurio j est em algum projeto e no pode ser removido!";
	
	public static final String MSG_SUC_CADASTRO_PESSOA = "Cadastro de Pessoa efetuado com sucesso!";
	
	public static final String MSG_SUC_CADASTRO_USUARIO = "Usurio foi cadastrado com sucesso!";
	
	public static final String MSG_SUC_EDICAO_USUARIO = "Usurio foi editado com sucesso!";
	
	public static final String MSG_SUC_REMOVE_USUARIO= "Usurio foi removido com sucesso!";
	
	public static final String MSG_SUC_ATUALIZADA_PESSOA = "Atualizao de Pessoa efetuada com sucesso!";
	
	public static final String MSG_INF_LOGOUT = "Logout efetuado com sucesso!";
	
	public static final String MSG_INF_DENY = "Acesso negado! Voc precisa logar primeiro.";
	
	public static final String MSG_ERR_LIVRO_JA_EXISTENTE = "Livro � j� cadastrado";
	
	public static final String MSG_ERR_ISBN_JA_CADASTRADO = "Isbn ja cadastrado";
	
	public static final String MSG_SUC_CADASTRO_LIVRO = "O livro � foi cadastrado com sucesso!";
	
	public static final String MSG_SUC_ATUALIZAR_LIVRO = "O livro � foi atualizado com sucesso!";
	
	public static final String MSG_ERR_LIVRO_DADOS_INVALIDOS = "Dados do Livro invlidos ou inconsistentes!";
	
	public static final String MSG_ERR_LIVRO_SEM_CAPITULOS = "Livro n�o possui captulos cadastrados!";

	public static final String MSG_ERR_CAP_JA_EXISTENTE = "Capitulo � j� cadastrado";
	
	public static final String MSG_SUC_CAP= "Capitulo cadastrado com sucesso";

	public static final String MSG_SUC_AREA= "Area cadastrado com sucesso";
	
	public static final String MSG_SUC_EXCLUIR_BLOCO = "Bloco excluido com sucesso!";
	
	public static final String MSG_SUC_EXCLUIR_AREA = "AREA excluido com sucesso!";

	public static final String MSG_ERR_EXCLUIR_BLOCO_JA_GRAVADO = "J� existe doa��o para o Bloco informado!";
	
	public static final String MSG_ERR_EXCLUIR_BLOCO_INEXISTENTE = "Bloco informado para excluso no foi encontrado na base de dados!";
	
	public static final String MSG_ERR_ASSOCIAR_INVALIDO = "Impossvel� associar doador ao bloco informado!";

	//msgs de projeto

	public static final String MSG_ERR_PROJETO_DADOS_INVALIDOS = "Dados do projeto invlidos ou inconsistentes!";
		
	public static final String MSG_ERR_PROJETO_ARQUIVO_INVALIDO = "Arquivo excede o �Mb ou n�o � do tipo PDF!";
	
	public static final String MSG_ERR_PROJETO_DATA_INCONSISTENTE = "Data de inicio deve ser anterior � data de fim�!"; //'�' proposital
	
	public static final String MSG_ERR_CADASTRO_PROJETO = "Ocorreu um erro no cadastro do projeto.";

	public static final String MSG_SUC_CADASTRO_PROJETO = "Projeto � cadastrado com sucesso!";
	
	public static final String MSG_SUC_EDICAO_PROJETO = "Projeto � editado com sucesso!";

	public static final String MSG_SUC_REMOVE_PROJETO = "Projeto � removido com sucesso!";

	//msgs de stakeholder
	
	public static final String  MSG_ERR_STAKEHOLDER_JA_EXISTENTE = "Stakeholder � j� cadastrado!";
	
	public static final String MSG_ERR_STAKEHOLDER_DADO_INVALIDO = "Dado do Stakeholder invlido ou inconsistente!";
	
	public static final String MSG_ERR_STAKEHOLDER_NOME_OBRIGATORIO = "Campo Nome obrigatrio!";
	

	public static final String MSG_ERR_STAKEHOLDER_NOME_INVALIDO = "Nome com formato invlido.<br>Exemplo: Joo Pedro";
	
	public static final String MSG_ERR_REMOVE_STAKEHOLDER_EM_PROJETO = "Este stakeholder j est em algum projeto e no pode ser removido!";

	public static final String MSG_SUC_CADASTRO_STAKEHOLDER = "Stakeholder foi cadastrado com sucesso";
	
	public static final String MSG_SUC_EDITA_STAKEHOLDER ="Stakeholder foi editado com sucesso";

	public static final String MSG_SUC_REMOVE_STAKEHOLDER = "Stakeholder de id foi removido com sucesso";
	
	//msgs do Ponto

	public static final String MSG_ERR_CADASTRO_PONTO= "Erro ao salvar o Ponto do Aluno �";

	public static final String MSG_ERR_CADASTRO_PONTO_DATA_INVALIDA = "Data de Saida menor que Data de Entrada";

	public static final String MSG_SUC_CADASTRO_PONTO = "Cadastrado com SUCESSO o Ponto do Aluno �";

	public static final String MSG_ERR_PONTO_JA_EXISTENTE = "Ponto ja existente para o Aluno � na data";

	public static final String MSG_ERR_BLOCO = "Erro bloco";
	
	public static final String MSG_ERR_EXCLUIR_AREA = "Erro excluir AREA ";

	public static final String MSG_ERR_AREA = "Erro ao cadastra area";
	
	//msgs do Autor

	public static final String MSG_ERR_AUTOR_JA_EXISTENTE = "Autor j cadastrado";
	
	public static final String MSG_ERR_EDITA_AUTOR = "A edi��o do autor n�o teve sucesso";
	
	//msgs da Faculdade

	public static final String MSG_ERR_FACULDADE_JA_EXISTENTE = "Faculdade j cadastrada!";
	
	//msgs do Curso
	
	public static final String MSG_ERR_CURSO_DADOS_INVALIDOS = "Dados do curso invidos ou inconsistentes";
	
	public static final String MSG_ERR_CURSO_JA_EXISTENTE = "Livro ? j cadastrado";

	//mensagens da Disciplina
	
	public static final String MSG_ERR_DISCIPLINA_DADOS_INVALIDOS = "Discplina com dados invlidos";
	
	public static final String MSG_ERR_DISCIPLINA_JA_EXISTENTE = "Disciplina j cadastrada";

	//mensagens curriculo
	
	public static final String MSG_ERR_CURRICULO_DADOS_INVALIDOS = "Currculo com dados invlidos";
	
	public static final String PAGINA_404 = "Erro 404. Pgina no encontrada.";
	
	//mensagens livro
	
	public static final Object SUC_EXLCUSAO_LIVRO_FAVORITO = "Livro excluido com sucesso da sua lista de favoritos.";
	
	public static final Object ERR_EXCLUSAO_LIVRO_FAVORITO = "Houve um erro ao excluir o livro da sua lista de favoritos.";
	
	//mensagens livros favoritos
	
	public static final String MSG_ERR_LIVRO_JA_CADASTRADO = "Este livro já está na sua lista de favoritos";
}

