package br.com.biblioteca.util;
import org.apache.commons.mail.DefaultAuthenticator;
import org.apache.commons.mail.EmailException;
import org.apache.commons.mail.SimpleEmail;

public class SendMail {

	private static String assunto = "";
	private static String corpo = "";
	private static String nomeDestinatario = "";
	private static String emailDestinatario = "";
	private static final String HOST_NAME = "smtp.gmail.com";
	private static final String EMAIL_FROM = "agesbiblioteca@gmail.com";
	private static final String EMAIL_PASS = "bibliotecajoseotao";
	private static final String EMAIL_FROMDESC = "Bibliografia";
	private static final String ASSUNTO_PROFESSOR_ENVIA = "Proposta submetida";	
	private static final String CONTEUDO_PROFESSOR_ENVIA = "Sua proposta foi submetida ao coordenador.";
	private static final String ASSUNTO_COORDENADOR_RECEBE = "Proposta recebida.";
	private static final String CONTEUDO_COORDENADOR_RECEBE = "Foi encaminhado pelo professor a proposta para avaliao bibliogrfica.";
	private static final String ASSUNTO_COORDENADOR_ENVIA = "Proposta enviada ao professor";
	private static final String CONTEUDO_COORDENADOR_ENVIA = "Voc rejeitou a proposta do professor. Proposta enviada para o professor para alterao.";
	private static final String ASSUNTO_PROFESSOR_RECEBE = "Proposta rejeitada pelo coordenador";
	private static final String CONTEUDO_PROFESSOR_RECEBE = "Sua proposta foi rejeitada pelo coordenador. Entre no sistema para alterar e reenviar.";
	
	//Nomes das constantes:
	//CAMPO_ATOR_ACAO
	
	public SendMail(String nome, String email) {
		nomeDestinatario = nome;
		emailDestinatario = email;
	}

	public void setMail(int contexto) {
		if(contexto == 1){
			assunto = ASSUNTO_PROFESSOR_ENVIA;
			corpo = CONTEUDO_PROFESSOR_ENVIA;
		} else if(contexto == 2){
			assunto = ASSUNTO_COORDENADOR_RECEBE;
			corpo = CONTEUDO_COORDENADOR_RECEBE;
		} else if(contexto == 3){
			assunto = ASSUNTO_PROFESSOR_RECEBE;
			corpo = CONTEUDO_PROFESSOR_RECEBE;
		}
	}
	
	public void envio() {
		System.out.println("Enviando email");
		try {
			SimpleEmail email = new SimpleEmail();
			// Servidor SMTP para envio do e-mail
			email.setHostName(HOST_NAME);
			//Remetente
			email.setFrom(EMAIL_FROM, EMAIL_FROMDESC );
			// Autenticao			
			email.setAuthenticator(new DefaultAuthenticator(EMAIL_FROM, EMAIL_PASS));
			email.setSSLOnConnect(true);

			
			// Destinatrio
			email.addTo(emailDestinatario, nomeDestinatario);

			// Assunto
			email.setSubject(assunto);
	
			// Corpo
			email.setMsg(corpo);

			// Envio
			email.send();

		} catch (EmailException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}

}