package br.com.biblioteca.util;

import javax.servlet.http.HttpSession;

import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.model.Usuario;

public class Session {

	public Session() {}
	
	public static Usuario getUserSession(HttpSession session) throws NegocioException {
		Usuario user = (Usuario) session.getAttribute(Constantes.USUARIO_SESSAO);
		if (user == null) {
			throw new NegocioException(MensagensConstantes.USUARIO_INVALIDO_SESSAO);
		}
		return user;
	}
}
